Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Interface ServiceStatsMBean

All Superinterfaces:
  FlowConstructStatsMBean

All Known Subinterfaces:
  ServiceServiceMBean

All Known Implementing Classes:
  ServiceService, ServiceStats

    public interface ServiceStatsMBean

extends FlowConstructStatsMBean

`ServiceStatsMBean` TODO

Method Summary
`long` | `getAsyncEventsSent()`
`long` | `getAverageExecutionTime()`
`long` | `getAverageQueueSize()`
`long` | `getExecutedEvents()`
`long` | `getMaxExecutionTime()`
`long` | `getMaxQueueSize()`
`long` | `getMinExecutionTime()`
`long` | `getQueuedEvents()`
`long` | `getReplyToEventsSent()`
`long` | `getSyncEventsSent()`
`long` | `getTotalEventsSent()`
`long` | `getTotalExecutionTime()`

Methods inherited from interface org.mule.module.management.mbean.FlowConstructStatsMBean
`clearStatistics, getAsyncEventsReceived, getAverageProcessingTime, getExecutionErrors, getFatalErrors, getMaxProcessingTime, getMinProcessingTime, getProcessedEvents, getSyncEventsReceived, getTotalEventsReceived, getTotalProcessingTime`

Method Detail

### getAverageExecutionTime

    long getAverageExecutionTime()

### getAverageQueueSize

    long getAverageQueueSize()

### getMaxQueueSize

    long getMaxQueueSize()

### getMaxExecutionTime

    long getMaxExecutionTime()

### getMinExecutionTime

    long getMinExecutionTime()

### getTotalExecutionTime

    long getTotalExecutionTime()

### getQueuedEvents

    long getQueuedEvents()

### getReplyToEventsSent

    long getReplyToEventsSent()

### getSyncEventsSent

    long getSyncEventsSent()

### getAsyncEventsSent

    long getAsyncEventsSent()

### getTotalEventsSent

    long getTotalEventsSent()

### getExecutedEvents

    long getExecutedEvents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.